﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;

namespace ScrollToRollIndexInAndroid
{
    [Activity(Label = "ScrollToRollIndexInAndroid", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        SfDataGrid dataGrid;
        ViewModel viewModel;
        LinearLayout linearLayout;
        Button horizontalOrientation;
        Button verticalOrientation;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            linearLayout = new LinearLayout(this);
            dataGrid = new SfDataGrid(BaseContext);
            viewModel = new ViewModel();
            horizontalOrientation = new Button(this);
            horizontalOrientation.Text = "HorizontalOrientation";
            verticalOrientation = new Button(this);
            verticalOrientation.Text = "VerticalOrientation";
            verticalOrientation.Click += VerticalOrientation_Click;
            horizontalOrientation.Click += HorizontalOrientation_Click;
            dataGrid.ItemsSource = viewModel.OrdersInfo;
            dataGrid.AutoGenerateColumns = true;
            dataGrid.GridLoaded += DataGrid_GridLoaded;
            linearLayout.AddView(horizontalOrientation);
            linearLayout.AddView(verticalOrientation);
            linearLayout.AddView(dataGrid);
            linearLayout.Orientation = Orientation.Vertical;
            SetContentView(linearLayout);
        }

        private void HorizontalOrientation_Click(object sender, System.EventArgs e)
        {
            linearLayout.Orientation = Orientation.Horizontal;
        }

        private void VerticalOrientation_Click(object sender, System.EventArgs e)
        {
            linearLayout.Orientation = Orientation.Vertical;
        }

        private void DataGrid_GridLoaded(object sender, GridLoadedEventArgs e)
        {
            dataGrid.ScrollToRowIndex(3);
        }
    }
}

